using System;
using NinjaTrader.Cbi;

internal sealed class Delegate105 : MulticastDelegate
{
	public extern Instrument Invoke(string string_0, bool bool_0);

	public static Instrument smethod_0(string string_0, bool bool_0, Delegate105 delegate105_1)
	{
		return delegate105_1(string_0, bool_0);
	}

	public extern Delegate105(object object_0, IntPtr intptr_0);

	static Delegate105()
	{
		Class10.smethod_13(typeof(Delegate105).TypeHandle);
	}

	internal static Delegate105 delegate105_0;
}
